/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.usecases;

import java.io.File;

import org.codehaus.activemq.broker.impl.BrokerConnectorImpl;
import org.codehaus.activemq.broker.impl.BrokerContainerImpl;
import org.codehaus.activemq.io.impl.DefaultWireFormat;
import org.codehaus.activemq.store.jdbm.JdbmPersistenceAdapter;

/**
 * @version $Revision: 1.1 $
 */
public class JDBMDurableSubscriptionTest extends DurableSubscriptionTestSupport {

    private BrokerContainerImpl broker;

    protected void setUp() throws Exception {    
        File dir = new File("target/jdbm");
        recursiveDelete(dir);
        
        JdbmPersistenceAdapter persistenceAdapter = new JdbmPersistenceAdapter();
        persistenceAdapter.setDirectory(dir);
        
        broker = new BrokerContainerImpl("localhost");
        broker.addConnector(new BrokerConnectorImpl(broker, "vm://localhost", new DefaultWireFormat()));
        broker.setPersistenceAdapter(persistenceAdapter);
        broker.start();
        
        super.setUp();
    }
    
    protected void tearDown() throws Exception {
        super.tearDown();
        broker.stop();
    }
    
}
