/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.codehaus.activemq.message;

/**
 * Sent in receipt of a Packet
 */

public class CachedValue extends AbstractPacket {

    private Object value;


    /**
     * Return the type of Packet
     *
     * @return integer representation of the type of Packet
     */

    public int getPacketType() {
        return CACHED_VALUE_COMMAND;
    }

    
    /**
     * @return pretty print of a CachedValue
     */
    public String toString() {
        return super.toString() + " CachedValue{ " +
                "value = " + value +
                " }";
    }
    /**
     * @return Returns the value.
     */
    public Object getValue() {
        return value;
    }
    /**
     * @param value The value to set.
     */
    public void setValue(Object value) {
        this.value = value;
    }
}
