/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.codehaus.activemq.message.util;
import java.io.IOException;
import java.io.OutputStream;
import java.util.zip.Deflater;
import java.util.zip.GZIPOutputStream;

/**
 * Compression stream
 * 
 * @version $Revision: 1.1 $
 */
public class WireGZIPOutputStream extends GZIPOutputStream {
    /**
     * Compression stream
     * @param out
     * @throws IOException
     */
    public WireGZIPOutputStream(OutputStream out) throws IOException {
        super(out, 32);
    }
    
    Deflater getDeflater(){
        return super.def;
    }
}